## xball 3.0

=== Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.89 94/08/12 00:45:51 gildea Exp $

# -----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $XConsortium: Imake.tmpl,v 1.220 94/08/30 17:25:36 matt Exp $
# $XFree86: xc/config/cf/Imake.tmpl,v 3.4 1994/09/24 15:09:46 dawes Exp $
#

.SUFFIXES: .i

# $XConsortium: Imake.cf,v 1.12 94/03/29 15:42:08 gildea Exp $
# $XFree86: xc/config/cf/Imake.cf,v 3.5 1994/09/24 15:09:40 dawes Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $
# site:  $XFree86: xc/config/cf/site.def,v 3.4 1994/05/29 02:01:47 dawes Exp $

# $XFree86: xc/config/cf/xf86site.def,v 3.16 1994/09/25 12:20:24 dawes Exp $

# -----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux.cf to change

# platform:  $XConsortium: linux.cf,v 1.11 95/01/23 18:32:03 kaleb Exp $

# $XConsortium: lnxLib.rules,v 1.2 94/03/31 11:37:29 gildea Exp $
# $XFree86: xc/config/cf/lnxLib.rules,v 3.5 1994/09/11 06:53:26 dawes Exp $

# $XConsortium: xfree86.cf,v 1.2 94/03/31 11:37:26 gildea Exp $
# $XFree86: xc/config/cf/xfree86.cf,v 3.24 1994/09/25 12:20:27 dawes Exp $

LINKKITDIR = $(USRLIBDIR)/Server

       XF86SRC = $(SERVERSRC)/hw/xfree86
  XF86ACCELSRC = $(XF86SRC)/accel
    XF86COMSRC = $(XF86SRC)/common
 XF86CONFIGSRC = $(XF86COMSRC)
     XF86HWSRC = $(XF86SRC)/common_hw
     XF86OSSRC = $(XF86SRC)/os-support
  VGADRIVERSRC = $(XF86SRC)/vga256/drivers
VGA16DRIVERSRC = $(XF86SRC)/vga16/drivers
 VGA2DRIVERSRC = $(XF86SRC)/vga2/drivers
 MONODRIVERSRC = $(XF86SRC)/mono/drivers
   S3DRIVERSRC = $(XF86SRC)/accel/s3/drivers

XF86INIT   = $(XF86COMSRC)/xf86Init.o
XF86MINIT  = $(XF86COMSRC)/xf86Init_m.o
XF86CONFIG = $(XF86CONFIGSRC)/xf86_Option.o
XF86COMLIB = $(XF86COMSRC)/libxf86.a
XF86OSLIB  = $(XF86OSSRC)/libxf86_os.a
XF86HWLIB  = $(XF86HWSRC)/libxf86_hw.a
XF86LIBS   = $(XF86INIT) $(XF86CONFIG) $(XF86COMLIB) $(XF86HWLIB) $(XF86OSLIB)
XF86MLIBS  = $(XF86MINIT) $(XF86CONFIG) $(XF86COMLIB) $(XF86HWLIB) $(XF86OSLIB)

# $XConsortium: xf86.rules,v 1.1 94/03/29 15:34:48 gildea Exp $
# $XFree86: xc/config/cf/xf86.rules,v 3.1 1994/05/30 08:17:53 dawes Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $
# site:  $XFree86: xc/config/cf/site.def,v 3.4 1994/05/29 02:01:47 dawes Exp $

# -----------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.197 94/12/05 19:30:41 gildea Exp $
# rules:  $XFree86: xc/config/cf/Imake.rules,v 3.11 1995/01/14 10:39:25 dawes Exp $

 _NULLCMD_ = @ echo -n

          PATHSEP = /
            SHELL = 	/bin/sh

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = makedepend
        MKDIRHIER = mkdirhier
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/makedepend
           IXXSRC = $(UNSUPPORTEDSRC)/programs/ixx
              IXX = ixx
         IXXFLAGS = -s BaseObject -m TypeObj -r RequestObj -p Xf
      IXXINCLUDES = -i '<X11/Fresco/enter-scope.h>'

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = 	$(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)5

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = 		gcc
               AS = 		as

.SUFFIXES: .cxx

              CXX = g++
    CXXDEBUGFLAGS = -O2 -m486
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
  CXXIDL_INCLUDES = -I$(TOP)/include
   CXXSTD_DEFINES = 	-Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DX_LOCALE
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES) $(CXXIDL_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
              CPP = 		/lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = 			gcc -E $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c
               LD = 		ld
              LEX = 		flex -l
           LEXLIB = 		-lfl
             YACC = 		bison -y
           CCYACC = 		bison -y
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
        MANSUFFIX = 1x
     LIBMANSUFFIX = 3x
    FILEMANSUFFIX = 5x
            TROFF = psroff
         MSMACROS = -ms
              TBL = tbl
              EQN = eqn

     STD_INCLUDES =
  STD_CPP_DEFINES = -traditional 	-Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DX_LOCALE
      STD_DEFINES = 	-Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DX_LOCALE
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS =

         PICFLAGS = -B/usr/bin/jump

      CXXPICFLAGS = -B/usr/bin/jump

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS = -s

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = 	-s -m 4755
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = 	-s -m 4755

      PROJECTROOT = /usr/X11R6

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -O2 -m486
        CCOPTIONS = -ansi  -DNO_ASM

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)

           LDLIBS = $(LDPOSTLIB) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = 	-r
      DEPENDFLAGS =

        MACROFILE = linux.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Project.tmpl 			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) 			$(IRULESRC)/xfree86.cf $(IRULESRC)/xf86.rules $(IRULESRC)/xf86site.def $(EXTRA_ICONFIGFILES)

#   $RCSfile: Motif.rules,v $ $Revision: 1.2 $ $Date: 1994/12/28 23:33:47 $

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $XConsortium: Project.tmpl,v 1.248 95/01/06 19:12:51 gildea Exp $
# $XFree86: xc/config/cf/Project.tmpl,v 3.12 1995/01/25 10:42:48 dawes Exp $

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

           BINDIR = /usr/X11R6/bin
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
      BUILDLIBDIR = $(TOP)/usrlib
      BUILDLIBTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           XSMDIR = $(LIBDIR)/xsm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(TOP)/doc/util
        CLIENTSRC = $(TOP)/clients
          DEMOSRC = $(TOP)/demos
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/programs/Xserver
       CONTRIBSRC = $(TOP)/../contrib
   UNSUPPORTEDSRC = $(TOP)/unsupported
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(TOP)/include/fonts
        EXTINCSRC = $(TOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

# $XConsortium: lnxLib.tmpl,v 1.1 94/03/29 15:34:47 gildea Exp $
# $XFree86: xc/config/cf/lnxLib.tmpl,v 3.1 1994/07/16 10:18:41 dawes Exp $

SHLIBLDFLAGS =
PICFLAGS = -B/usr/bin/jump

          XLIBSRC = $(LIBSRC)/X11

SOXLIBREV = 6.0
DEPXONLYLIB =
XONLYLIB =  -lX11

LINTXONLY = $(LINTLIBDIR)/llib-lX11.ln

         XLIBONLY = $(XONLYLIB)

      XEXTLIBSRC = $(LIBSRC)/Xext
   LBXXEXTLIBSRC = $(TOP)/workInProgress/lbx/lib/Xext

    XEXEXTLIBSRC = $(LIBSRC)/XExExt

SOXEXTREV = 6.0
DEPXEXTLIB =
XEXTLIB =  -lXext

LINTXEXT = $(LINTLIBDIR)/llib-lXext.ln

SOXEXTREV = 6.0
DEPLBXXEXTLIB =
LBXXEXTLIB =  -llbxXext

LINTLBXXEXT = $(LINTLIBDIR)/llib-llbxXext.ln

DEPXEXEXTLIB = $(USRLIBDIR)/libXExExt.a
XEXEXTLIB =  -lXExExt

LINTXEXEXT = $(LINTLIBDIR)/llib-lXExExt.ln

     EXTENSIONLIB = $(XEXEXTLIB) $(XEXTLIB)
  DEPEXTENSIONLIB = $(DEPXEXEXTLIB) $(DEPXEXTLIB)
    LINTEXTENSION = $(LINTXEXEXT) $(LINTXEXT)

 LINTEXTENSIONLIB = $(LINTEXTENSION)
          DEPXLIB = $(DEPEXTENSIONLIB) $(DEPXONLYLIB)
             XLIB = $(EXTENSIONLIB) $(XONLYLIB)
         LINTXLIB = $(LINTXONLYLIB)

         XAUTHSRC = $(LIBSRC)/Xau

DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
XAUTHLIB =  -lXau

LINTXAUTH = $(LINTLIBDIR)/llib-lXau.ln

      XDMCPLIBSRC = $(LIBSRC)/Xdmcp

DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
XDMCPLIB =  -lXdmcp

LINTXDMCP = $(LINTLIBDIR)/llib-lXdmcp.ln

           XMUSRC = $(LIBSRC)/Xmu

SOXMUREV = 6.0
DEPXMULIB =
XMULIB =  -lXmu

LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln

       OLDXLIBSRC = $(LIBSRC)/oldX

DEPOLDXLIB = $(USRLIBDIR)/liboldX.a
OLDXLIB =  -loldX

LINTOLDX = $(LINTLIBDIR)/llib-loldX.ln

       TOOLKITSRC = $(LIBSRC)/Xt

SOXTREV = 6.0
DEPXTOOLONLYLIB =
XTOOLONLYLIB =  -lXt

LINTXTOOLONLY = $(LINTLIBDIR)/llib-lXt.ln

      DEPXTOOLLIB = $(DEPXTOOLONLYLIB) $(DEPSMLIB) $(DEPICELIB)
         XTOOLLIB = $(XTOOLONLYLIB) $(SMLIB) $(ICELIB)
     LINTXTOOLLIB = $(LINTXTOOLONLYLIB)

       AWIDGETSRC = $(LIBSRC)/Xaw

SOXAWREV = 6.0
DEPXAWLIB =
XAWLIB =  -lXaw

LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln

       XTFSRC = $(TOP)/workInProgress/Xtf

SOXTFREV = 0.7
DEPXTFLIB =
XTFLIB =  -lXtf

LINTXTF = $(LINTLIBDIR)/llib-lXtf.ln

       FRESCOSRC = $(TOP)/workInProgress/Fresco

SOFRESCOREV = 0.7
DEPFRESCOLIB =
FRESCOLIB =  -lFresco

LINTFRESCO = $(LINTLIBDIR)/llib-lFresco.ln

         XILIBSRC = $(LIBSRC)/Xi

SOXINPUTREV = 6.0
DEPXILIB =
XILIB =  -lXi

LINTXI = $(LINTLIBDIR)/llib-lXi.ln

      XTESTLIBSRC = $(LIBSRC)/Xtst

SOXTESTREV = 6.0
DEPXTESTLIB =
XTESTLIB =  -lXtst

## xball 3.0.1

=== debian/changelog ===
xball (3.0.1-2) unstable; urgency=medium

  * QA upload.
  * Change maintainer to Debian QA Group because the package has been orphaned.
  * Acknowledge NMU by Luk Claes. Thanks! (Closes: #722945)
  * Switch to compat level 10.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 4.1.0.
  * Drop deprecated menu file. Convert xpm icon to png and install it into the
    hicolor icon directory.
  * Drop debian/README. No longer useful.
  * Simplify debian/rules and use dh sequencer.
  * Provide a desktop file. (Closes: #738054)
  * Fix FTBFS with the clang compiler.
    Thanks to Piotr Sokołowski for the patch. (Closes: #742972)
  * Homepage field: Point to tracker.debian.org.
  * Add man-page-spelling.patch and fix a minor spelling mistake in xball.man.
  * export DEB_CFLAGS_MAINT_APPEND = -std=gnu89 otherwise the game will
    segfault with newer versions of the C standard.
  * Install data files into /usr/share/games/xball.
  * Add implicit-declaration.patch and fix various compiler warnings about
    implicit declarations.

 -- Markus Koschany <apo@debian.org>  Wed, 13 Sep 2017 05:24:18 +0200

xball (3.0.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Drop dependency on menu (Closes: #647387, #624857).
  * Transition from lesstif2 to motif (Closes: #714673).

 -- Luk Claes <luk@debian.org>  Sat, 14 Sep 2013 18:56:07 +0200

xball (3.0.1-1.1) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)".
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): update obsolete xutils to xutils-dev
      (important; Closes: #578967).
      Update to debhelper 7.1. Add autotools-dev.
    - (Depends): add ${misc:Depends}.
    - (Standards-Version): Update to 3.8.4.
    - (xball::Section): Remove duplicate section.
  * debian/patches
    - (Number 10): Fix spelling errors.
  * debian/rules
    - (configure-stamp): use newest config.* files.
    - (install): Change dh_clean to dh_prep.
  * debian/source/format
   - New file

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 08 May 2010 22:50:10 +0300

xball (3.0.1-1) unstable; urgency=low

  * New upstream release, consolidates all 3.0 patches
    - Change debhelper compat from 4 to 5
    - Change standards version to 3.7.3
    - Change to three part numbering, new version is 3.0.1
    - Get xball version number from changelog, see rules file for details
    - Cleanup some of the old pre-autoconf cruft
    - Fix rules, Lintian was giving debian-rules-ignores-make-clean-error
  * upload sponsored by Branden Robinson <branden@debian.org>

 -- Stephen Birch <sgbirch@imsmail.org>  Sun,  9 Dec 2007 22:01:23 +0000

xball (3.0-18) unstable; urgency=low

  * Remove strange vi file from debian directory, :visual

 -- Stephen Birch <sgbirch@imsmail.org>  Wed, 21 Nov 2007 22:34:23 +0000

xball (3.0-17) unstable; urgency=low

  * Apply NMU patch, merge with upstream
  * Change standards version to 3.7.2

 -- Stephen Birch <sgbirch@imsmail.org>  Tue, 20 Nov 2007 00:37:52 +0000

xball (3.0-16.1) unstable; urgency=low

  * NMU to fix RGB_TXT and all other references to point to /etc/X11/rgb.txt,
    as it is in x11-common. (Closes: #377652).
  * Added the demo files to the documentation.

 -- Margarita Manterola <marga@debian.org>  Thu, 13 Jul 2006 19:32:23 -0300

xball (3.0-16) unstable; urgency=high

  * Update to add patch in "NMU" 3.0-15.1 (closes: #303337)

 -- Stephen Birch <sgbirch@imsmail.org>  Thu, 14 Apr 2005 11:38:18 +0100

xball (3.0-15.1) unstable; urgency=low

  * NMU - Thanks Paul for the patch! (SGB)
  * Adds 'rm -rf .deps' to debian/rules clean (closes: #303337)

 -- Paul Brossier <piem@altern.org>  Wed, 13 Apr 2005 03:09:43 +0100

xball (3.0-15) unstable; urgency=low

  * Add libxt-dev to build-depends to arm can build

 -- Stephen Birch <sgbirch@imsmail.org>  Wed, 23 Mar 2005 14:38:15 +0000

xball (3.0-14) unstable; urgency=low

  * Make demo_start() static declaration (closes: #288656)
  * Added config.guess and config.sub from automake1.4
  * Added content to NEWS and ChaneLog so patch creates them

 -- Stephen Birch <sgbirch@imsmail.org>  Wed, 23 Feb 2005 08:51:33 +0000

xball (3.0-13) unstable; urgency=low

  * Use gettimeofday() to compute consistant delay

 -- Stephen Birch <sgbirch@imsmail.org>  Tue, 21 Dec 2004 15:06:29 +0000

xball (3.0-12) unstable; urgency=low

  * chmod +x missing to rules (closes: #283269)
  * Run 'make distclean' from clean target in rules

 -- Stephen Birch <sgbirch@imsmail.org>  Sun, 28 Nov 2004 08:28:49 -0500

xball (3.0-11) unstable; urgency=low

  * Fix more automake problems (NEWS and ChangeLog files)

 -- Stephen Birch <sgbirch@imsmail.org>  Sun, 28 Nov 2004 08:26:19 -0500

xball (3.0-10) unstable; urgency=low

  * Make configure executable in rules file

 -- Stephen Birch <sgbirch@imsmail.org>  Thu, 25 Nov 2004 12:48:31 +0000

xball (3.0-9) unstable; urgency=low

  * More minor changes to makefile system

 -- Stephen Birch <sgbirch@imsmail.org>  Mon, 22 Nov 2004 17:34:48 +0000

xball (3.0-8) unstable; urgency=low

  * Run autoconf prior to uploading to debian
  * Remove automake, autoconf1.9 dependency

 -- Stephen Birch <sgbirch@imsmail.org>  Mon, 22 Nov 2004 17:09:48 +0000

xball (3.0-7) unstable; urgency=low

  * hard code automake to automake1.9 (closes: #272239)

 -- Stephen Birch <sgbirch@imsmail.org>  Mon,  1 Nov 2004 04:41:45 -0500

xball (3.0-6) unstable; urgency=low

  * Compile againt lesstif2 instead of lesstif (closes: #269285)
  * Change automaken dependancy to automake

 -- Stephen Birch <sgbirch@xeon.uk.imsmail.org>  Fri,  3 Sep 2004 11:29:57 +0100

xball (3.0-5) unstable; urgency=low

  * Remove postinst and preinst file, not required
  * Update rules file to be policy complient
  * Closes: #244289: Package includes non-free source code.
  * Closes: #256422: Missing Build-Depends

 -- Stephen Birch <sgbirch@xeon.uk.birch.ws>  Sun, 27 Jun 2004 11:06:34 +0100

xball (3.0-4) unstable; urgency=low



=== debian/control ===
Source: xball
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 10),
 libmotif-dev,
 libxmu-dev,
 libxt-dev,
 xutils-dev
Standards-Version: 4.1.0
Homepage: https://tracker.debian.org/pkg/xball

Package: xball
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Simulate bouncing balls in a window
 A simple educational game that simulates bouncing balls in a window. Gravity,
 elasticity, and ability to collide can all be adjusted.
 .
 Young children enjoy watching the balls bounce around the screen and are
 fascinated by the program. This is an ideal program for teaching rudimentary
 mouse skills to very young children.

=== debian/rules ===
#!/usr/bin/make -f

# Don't remove this line otherwise the game will segfault with newer C
# standards. This issue surfaced with the switch to GCC 7. Please fix the code.
export DEB_CFLAGS_MAINT_APPEND = -std=gnu89

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix=/usr \
		--bindir=/usr/games \
		--datadir=/usr/share/games/xball

override_dh_auto_build:
	dh_auto_build -- VERSION=$(DEB_VERSION_UPSTREAM)

## xball 3.0.1%2Bdfsg

=== X11/Xaw_d/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.89 94/08/12 00:45:51 gildea Exp $

# -----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $XConsortium: Imake.tmpl,v 1.220 94/08/30 17:25:36 matt Exp $
# $XFree86: xc/config/cf/Imake.tmpl,v 3.4 1994/09/24 15:09:46 dawes Exp $
#

.SUFFIXES: .i

# $XConsortium: Imake.cf,v 1.12 94/03/29 15:42:08 gildea Exp $
# $XFree86: xc/config/cf/Imake.cf,v 3.5 1994/09/24 15:09:40 dawes Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $
# site:  $XFree86: xc/config/cf/site.def,v 3.4 1994/05/29 02:01:47 dawes Exp $

# $XFree86: xc/config/cf/xf86site.def,v 3.16 1994/09/25 12:20:24 dawes Exp $

# -----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux.cf to change

# platform:  $XConsortium: linux.cf,v 1.11 95/01/23 18:32:03 kaleb Exp $

# $XConsortium: lnxLib.rules,v 1.2 94/03/31 11:37:29 gildea Exp $
# $XFree86: xc/config/cf/lnxLib.rules,v 3.5 1994/09/11 06:53:26 dawes Exp $

# $XConsortium: xfree86.cf,v 1.2 94/03/31 11:37:26 gildea Exp $
# $XFree86: xc/config/cf/xfree86.cf,v 3.24 1994/09/25 12:20:27 dawes Exp $

LINKKITDIR = $(USRLIBDIR)/Server

       XF86SRC = $(SERVERSRC)/hw/xfree86
  XF86ACCELSRC = $(XF86SRC)/accel
    XF86COMSRC = $(XF86SRC)/common
 XF86CONFIGSRC = $(XF86COMSRC)
     XF86HWSRC = $(XF86SRC)/common_hw
     XF86OSSRC = $(XF86SRC)/os-support
  VGADRIVERSRC = $(XF86SRC)/vga256/drivers
VGA16DRIVERSRC = $(XF86SRC)/vga16/drivers
 VGA2DRIVERSRC = $(XF86SRC)/vga2/drivers
 MONODRIVERSRC = $(XF86SRC)/mono/drivers
   S3DRIVERSRC = $(XF86SRC)/accel/s3/drivers

XF86INIT   = $(XF86COMSRC)/xf86Init.o
XF86MINIT  = $(XF86COMSRC)/xf86Init_m.o
XF86CONFIG = $(XF86CONFIGSRC)/xf86_Option.o
XF86COMLIB = $(XF86COMSRC)/libxf86.a
XF86OSLIB  = $(XF86OSSRC)/libxf86_os.a
XF86HWLIB  = $(XF86HWSRC)/libxf86_hw.a
XF86LIBS   = $(XF86INIT) $(XF86CONFIG) $(XF86COMLIB) $(XF86HWLIB) $(XF86OSLIB)
XF86MLIBS  = $(XF86MINIT) $(XF86CONFIG) $(XF86COMLIB) $(XF86HWLIB) $(XF86OSLIB)

# $XConsortium: xf86.rules,v 1.1 94/03/29 15:34:48 gildea Exp $
# $XFree86: xc/config/cf/xf86.rules,v 3.1 1994/05/30 08:17:53 dawes Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $
# site:  $XFree86: xc/config/cf/site.def,v 3.4 1994/05/29 02:01:47 dawes Exp $

# -----------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.197 94/12/05 19:30:41 gildea Exp $
# rules:  $XFree86: xc/config/cf/Imake.rules,v 3.11 1995/01/14 10:39:25 dawes Exp $

 _NULLCMD_ = @ echo -n

          PATHSEP = /
            SHELL = 	/bin/sh

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = makedepend
        MKDIRHIER = mkdirhier
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/makedepend
           IXXSRC = $(UNSUPPORTEDSRC)/programs/ixx
              IXX = ixx
         IXXFLAGS = -s BaseObject -m TypeObj -r RequestObj -p Xf
      IXXINCLUDES = -i '<X11/Fresco/enter-scope.h>'

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = 	$(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)5

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = 		gcc
               AS = 		as

.SUFFIXES: .cxx

              CXX = g++
    CXXDEBUGFLAGS = -O2 -m486
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
  CXXIDL_INCLUDES = -I$(TOP)/include
   CXXSTD_DEFINES = 	-Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DX_LOCALE
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES) $(CXXIDL_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
              CPP = 		/lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = 			gcc -E $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c
               LD = 		ld
              LEX = 		flex -l
           LEXLIB = 		-lfl
             YACC = 		bison -y
           CCYACC = 		bison -y
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
        MANSUFFIX = 1x
     LIBMANSUFFIX = 3x
    FILEMANSUFFIX = 5x
            TROFF = psroff
         MSMACROS = -ms
              TBL = tbl
              EQN = eqn

     STD_INCLUDES =
  STD_CPP_DEFINES = -traditional 	-Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DX_LOCALE
      STD_DEFINES = 	-Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DX_LOCALE
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS =

         PICFLAGS = -B/usr/bin/jump

      CXXPICFLAGS = -B/usr/bin/jump

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS = -s

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = 	-s -m 4755
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = 	-s -m 4755

      PROJECTROOT = /usr/X11R6

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -O2 -m486
        CCOPTIONS = -ansi  -DNO_ASM

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)

           LDLIBS = $(LDPOSTLIB) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = 	-r
      DEPENDFLAGS =

        MACROFILE = linux.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Project.tmpl 			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) 			$(IRULESRC)/xfree86.cf $(IRULESRC)/xf86.rules $(IRULESRC)/xf86site.def $(EXTRA_ICONFIGFILES)

#   $RCSfile: Motif.rules,v $ $Revision: 1.2 $ $Date: 1994/12/28 23:33:47 $

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $XConsortium: Project.tmpl,v 1.248 95/01/06 19:12:51 gildea Exp $
# $XFree86: xc/config/cf/Project.tmpl,v 3.12 1995/01/25 10:42:48 dawes Exp $

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

           BINDIR = /usr/X11R6/bin
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
      BUILDLIBDIR = $(TOP)/usrlib
      BUILDLIBTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           XSMDIR = $(LIBDIR)/xsm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(TOP)/doc/util
        CLIENTSRC = $(TOP)/clients
          DEMOSRC = $(TOP)/demos
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/programs/Xserver
       CONTRIBSRC = $(TOP)/../contrib
   UNSUPPORTEDSRC = $(TOP)/unsupported
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(TOP)/include/fonts
        EXTINCSRC = $(TOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

# $XConsortium: lnxLib.tmpl,v 1.1 94/03/29 15:34:47 gildea Exp $
# $XFree86: xc/config/cf/lnxLib.tmpl,v 3.1 1994/07/16 10:18:41 dawes Exp $

SHLIBLDFLAGS =
PICFLAGS = -B/usr/bin/jump

          XLIBSRC = $(LIBSRC)/X11

SOXLIBREV = 6.0
DEPXONLYLIB =
XONLYLIB =  -lX11

LINTXONLY = $(LINTLIBDIR)/llib-lX11.ln

         XLIBONLY = $(XONLYLIB)

      XEXTLIBSRC = $(LIBSRC)/Xext
   LBXXEXTLIBSRC = $(TOP)/workInProgress/lbx/lib/Xext

    XEXEXTLIBSRC = $(LIBSRC)/XExExt

SOXEXTREV = 6.0
DEPXEXTLIB =
XEXTLIB =  -lXext

LINTXEXT = $(LINTLIBDIR)/llib-lXext.ln

SOXEXTREV = 6.0
DEPLBXXEXTLIB =
LBXXEXTLIB =  -llbxXext

LINTLBXXEXT = $(LINTLIBDIR)/llib-llbxXext.ln

DEPXEXEXTLIB = $(USRLIBDIR)/libXExExt.a
XEXEXTLIB =  -lXExExt

LINTXEXEXT = $(LINTLIBDIR)/llib-lXExExt.ln

     EXTENSIONLIB = $(XEXEXTLIB) $(XEXTLIB)
  DEPEXTENSIONLIB = $(DEPXEXEXTLIB) $(DEPXEXTLIB)
    LINTEXTENSION = $(LINTXEXEXT) $(LINTXEXT)

 LINTEXTENSIONLIB = $(LINTEXTENSION)
          DEPXLIB = $(DEPEXTENSIONLIB) $(DEPXONLYLIB)
             XLIB = $(EXTENSIONLIB) $(XONLYLIB)
         LINTXLIB = $(LINTXONLYLIB)

         XAUTHSRC = $(LIBSRC)/Xau

DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
XAUTHLIB =  -lXau

LINTXAUTH = $(LINTLIBDIR)/llib-lXau.ln

      XDMCPLIBSRC = $(LIBSRC)/Xdmcp

DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
XDMCPLIB =  -lXdmcp

LINTXDMCP = $(LINTLIBDIR)/llib-lXdmcp.ln

           XMUSRC = $(LIBSRC)/Xmu

SOXMUREV = 6.0
DEPXMULIB =
XMULIB =  -lXmu

LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln

       OLDXLIBSRC = $(LIBSRC)/oldX

DEPOLDXLIB = $(USRLIBDIR)/liboldX.a
OLDXLIB =  -loldX

LINTOLDX = $(LINTLIBDIR)/llib-loldX.ln

       TOOLKITSRC = $(LIBSRC)/Xt

SOXTREV = 6.0
DEPXTOOLONLYLIB =
XTOOLONLYLIB =  -lXt

LINTXTOOLONLY = $(LINTLIBDIR)/llib-lXt.ln

      DEPXTOOLLIB = $(DEPXTOOLONLYLIB) $(DEPSMLIB) $(DEPICELIB)
         XTOOLLIB = $(XTOOLONLYLIB) $(SMLIB) $(ICELIB)
     LINTXTOOLLIB = $(LINTXTOOLONLYLIB)

       AWIDGETSRC = $(LIBSRC)/Xaw

SOXAWREV = 6.0
DEPXAWLIB =
XAWLIB =  -lXaw

LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln

       XTFSRC = $(TOP)/workInProgress/Xtf

SOXTFREV = 0.7
DEPXTFLIB =
XTFLIB =  -lXtf

LINTXTF = $(LINTLIBDIR)/llib-lXtf.ln

       FRESCOSRC = $(TOP)/workInProgress/Fresco

SOFRESCOREV = 0.7
DEPFRESCOLIB =
FRESCOLIB =  -lFresco

LINTFRESCO = $(LINTLIBDIR)/llib-lFresco.ln

         XILIBSRC = $(LIBSRC)/Xi

SOXINPUTREV = 6.0
DEPXILIB =
XILIB =  -lXi

LINTXI = $(LINTLIBDIR)/llib-lXi.ln

      XTESTLIBSRC = $(LIBSRC)/Xtst

SOXTESTREV = 6.0
DEPXTESTLIB =
XTESTLIB =  -lXtst

=== debian/changelog ===
xball (3.0.1+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:37:47 +1100

xball (3.0.1+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libxt6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 00:59:18 +0000

xball (3.0.1+dfsg-1) unstable; urgency=medium

  * QA upload.
  * Removed non DFSG-compliant files act_area.c and act_area.h from source.
    (Closes: #244289)
  * debian/README.source: created to explain about the removal of the non
    DFSG-compliant files from source.

 -- David da Silva Polverari <polverari@debian.org>  Mon, 31 Jul 2023 02:12:15 -0300

xball (3.0.1-3) unstable; urgency=medium

  * QA upload.
  * debian/control: bumped Standards-Version to 4.6.2.

 -- David da Silva Polverari <polverari@debian.org>  Tue, 25 Jul 2023 02:54:00 +0000

## xball 3.0.1+dfsg

=== debian/changelog ===
xball (3.0.1+dfsg-2) unstable; urgency=medium

  * QA upload.

  * Updated vcs in d/control to Salsa.
  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.2 to 4.7.0.
  * Switched to new upstream project https://github.com/JoesCat/xball/.
    (Closes: #992887)
  * Flagged that source can build without root access in d/control.
  * Switched to debhelper compat level 13 and enabled hardening.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 18 Apr 2024 00:38:22 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 # Don't remove this line otherwise the game will segfault with newer C
 # standards. This issue surfaced with the switch to GCC 7. Please fix the code.
 export DEB_CFLAGS_MAINT_APPEND = -std=gnu89
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 include /usr/share/dpkg/pkg-info.mk

## xball 3.1.0+dfsg

=== debian/changelog ===
xball (3.1.0+dfsg-3) unstable; urgency=medium

  * Adopt game inside Games team (Closes: #1098987)
  * Use full path in .desktop file (Closes: #1098987)
  * Reformat d/control with debputy

 -- Alexandre Detiste <tchet@debian.org>  Thu, 27 Feb 2025 07:56:22 +0100

xball (3.1.0+dfsg-2) unstable; urgency=medium

  * QA upload.
  * debian/gbp.conf: set debian-branch to describe repository layout in
    accordance with DEP-14 recommendations.
  * debian/salsa-ci.yml: created to use Salsa CI Team's default pipeline.
  * debian/upstream/metadata: created to provide metadata about upstream.

 -- David da Silva Polverari <polverari@debian.org>  Sat, 15 Jun 2024 04:41:36 +0000

xball (3.1.0+dfsg-1) unstable; urgency=medium

  * QA upload.

  * New upstream version 3.1.0+dfsg
    - Refreshed and dropped patches to match new upstream version.
  * Converted d/copyright to machine readable format.
  * Adjust handling of Appstream metainfo XML installation and copyright.
  * Added 1020-man-incorrect-name.patch to install man page with correct
    file name.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 23 May 2024 08:05:24 +0200

=== debian/control ===
Source: xball
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libmotif-dev,
 libxmu-dev,
 libxt-dev,
 xutils-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/JoesCat/xball/
Vcs-Browser: https://salsa.debian.org/games-team/xball
Vcs-Git: https://salsa.debian.org/games-team/xball.git
Rules-Requires-Root: no
X-Style: black

Package: xball
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Simulate bouncing balls in a window
 A simple educational game that simulates bouncing balls in a window. Gravity,
 elasticity, and ability to collide can all be adjusted.
 .
 Young children enjoy watching the balls bounce around the screen and are
 fascinated by the program. This is an ideal program for teaching rudimentary
 mouse skills to very young children.

=== debian/rules ===
--- 
+++ 
@@ -19,3 +19,7 @@
 
 override_dh_auto_build:
 	dh_auto_build -- VERSION=$(DEB_VERSION_UPSTREAM)
+
+execute_after_dh_auto_install:
+# Remove obsolete and redundant file.
+	$(RM) debian/xball/usr/share/appdata/xball.appdata.xml

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/xball-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/JoesCat/xball/tags .*/v?(\d\S*)\.tar\.gz
